Support » Plugin: MailChimp Immediate Send » Stopped working after upgrade to 3.9.1

  • After I upgraded to 3.9.1, I suddenly got an error that MailChimp Immediate Send (MCIS) couldn’t find DeMomentSomTres Tools.

    I got this message when I tried to open MCIS’ options page.

    I installed DeMomentSomTres Tools separately. After I did that, I’m now able to open the options page, but it looks a bit weird and no e-mails are sent when I create new posts.

    If I try to insert an invalid MailChimp API key, I don’t get an error message, so it doesn’t seem to actually connect to MailChimp anymore.

    I have tried uninstalling and reinstalling the MCIS plugin, but it doesn’t make any difference.

    https://wordpress.org/plugins/demomentsomtres-mailchimp-immediate-send/

Viewing 9 replies - 1 through 9 (of 9 total)
  • Sorry, it wasn’t the WordPress upgrade that broke the plugin, it’s the plugin upgrade that doesn’t work.

    Version 1.25 of the MCIS plugin works perfectly in WordPress 3.9.1.

    Version 2.0 of the MCIS plugin doesn’t work in WordPress 3.9.1.

    I downgraded the plugin, and everything works fine.

    Plugin Author Marc Queralt i Bassa

    (@marcqueralt)

    Did you install and activate DeMomentSomTres Tools Plugin?
    You can get it here

    Yes, I have installed DeMomentSomTres Tools plugin.

    I can open the options page, but it looks a bit weird, and as I write above it doesn’t send any mails. Actually it doesn’t seem to connect to MailChimp at all, since it doesn’t give any errors when I enter an invalid API key.

    Plugin Author Marc Queralt i Bassa

    (@marcqueralt)

    You need to have curl installed in your server?
    After errors from mailchimp nothing is shown. Is something I’m solving.

    I have curl installed, yes.

    It was working on my site as well until this last upgrade that required the tool set. Have you tested this in the multisites environment? – that’s where I had it working before. There are no errors, everything in the interface looks fine, the campaigns just don’t get created. I’ve selected the post type and the category.

    Plugin Author Marc Queralt i Bassa

    (@marcqueralt)

    Hi @bjarteao and @markburgess did you manage to have it working?
    I’m running it in multisite without any problem.
    Today I release a new version with nl2br on it.

    Plugin Author Marc Queralt i Bassa

    (@marcqueralt)

    Hi @bjarteao and @markburgess did you manage to have it working?
    I’m running it in multisite without any problem.
    Today I release a new version with nl2br on it.

    Hi @marcqueralt

    I tried upgrading from 1.25 to 2.1, but it is still not working.

    I get the following error when I go the plugin’s option page:
    Warning: Invalid argument supplied for foreach() in /[path]/wp-content/plugins/demomentsomtres-mailchimp-immediate-send/admin.php on line 128

    Also if I try to select “Delete this entry when saving” and click “Save”, the entry is not deleted.

    Also no e-mails are sent when I publish a new WordPress post.

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘Stopped working after upgrade to 3.9.1’ is closed to new replies.